diff --git a/meson.build b/meson.build
index d7c5193d4ce..4972c7b26d4 100644
--- a/meson.build
+++ b/meson.build
@@ -1344,129 +1344,129 @@ endif
 ###############################################################
 
 if not get_option('readline').disabled()
-  libedit_preferred = get_option('libedit_preferred')
-  # Set the order of readline dependencies.
-  # cc.find_library breaks and throws on the first dependency which
-  # is marked as required=true and can't be found. Thus, we only mark
-  # the last dependency to look up as required, to not throw too early.
-  check_readline_deps = [
-    {
-      'name': libedit_preferred ? 'libedit' : 'readline',
-      'required': false
-    },
-    {
-      'name': libedit_preferred ? 'readline' : 'libedit',
-      'required': get_option('readline')
-    }
-  ]
-
-  foreach readline_dep : check_readline_deps
-    readline = dependency(readline_dep['name'], required: false)
-    if not readline.found()
-      readline = cc.find_library(readline_dep['name'],
-        required: readline_dep['required'],
-        dirs: test_lib_d)
-    endif
-    if readline.found()
-      break
-    endif
-  endforeach
-
-  if readline.found()
-    cdata.set('HAVE_LIBREADLINE', 1)
-
-    editline_prefix = {
-      'header_prefix': 'editline/',
-      'flag_prefix': 'EDITLINE_',
-    }
-    readline_prefix = {
-      'header_prefix': 'readline/',
-      'flag_prefix': 'READLINE_',
-    }
-    default_prefix = {
-      'header_prefix': '',
-      'flag_prefix': '',
-    }
-
-    # Set the order of prefixes
-    prefixes = libedit_preferred ? \
-      [editline_prefix, default_prefix, readline_prefix] : \
-      [readline_prefix, default_prefix, editline_prefix]
-
-    at_least_one_header_found = false
-    foreach header : ['history', 'readline']
-      is_found = false
-      foreach prefix : prefixes
-        header_file = '@0@@1@.h'.format(prefix['header_prefix'], header)
-        # Check history.h and readline.h
-        if not is_found and cc.has_header(header_file,
-            args: test_c_args, include_directories: postgres_inc,
-            dependencies: [readline], required: false)
-          if header == 'readline'
-            readline_h = header_file
-          endif
-          cdata.set('HAVE_@0@@1@_H'.format(prefix['flag_prefix'], header).to_upper(), 1)
-          is_found = true
-          at_least_one_header_found = true
-        endif
-      endforeach
-    endforeach
-
-    if not at_least_one_header_found
-      error('''readline header not found
+	libedit_preferred = get_option('libedit_preferred')
+	# Set the order of readline dependencies.
+	# cc.find_library breaks and throws on the first dependency which
+	# is marked as required=true and can't be found. Thus, we only mark
+	# the last dependency to look up as required, to not throw too early.
+	check_readline_deps = [
+		{
+			'name': libedit_preferred ? 'libedit' : 'readline',
+			'required': false
+		},
+		{
+			'name': libedit_preferred ? 'readline' : 'libedit',
+			'required': get_option('readline')
+		}
+	]
+
+	foreach readline_dep : check_readline_deps
+		readline = dependency(readline_dep['name'], required: false)
+		if not readline.found()
+			readline = cc.find_library(readline_dep['name'],
+				required: readline_dep['required'],
+				dirs: test_lib_d)
+		endif
+		if readline.found()
+			break
+		endif
+	endforeach
+
+	if readline.found()
+		cdata.set('HAVE_LIBREADLINE', 1)
+
+		editline_prefix = {
+			'header_prefix': 'editline/',
+			'flag_prefix': 'EDITLINE_',
+		}
+		readline_prefix = {
+			'header_prefix': 'readline/',
+			'flag_prefix': 'READLINE_',
+		}
+		default_prefix = {
+			'header_prefix': '',
+			'flag_prefix': '',
+		}
+
+		# Set the order of prefixes
+		prefixes = libedit_preferred ? \
+			[editline_prefix, default_prefix, readline_prefix] : \
+			[readline_prefix, default_prefix, editline_prefix]
+
+		at_least_one_header_found = false
+		foreach header : ['history', 'readline']
+			is_found = false
+			foreach prefix : prefixes
+				header_file = '@0@@1@.h'.format(prefix['header_prefix'], header)
+				# Check history.h and readline.h
+				if not is_found and cc.has_header(header_file,
+						args: test_c_args, include_directories: postgres_inc,
+						dependencies: [readline], required: false)
+					if header == 'readline'
+						readline_h = header_file
+					endif
+					cdata.set('HAVE_@0@@1@_H'.format(prefix['flag_prefix'], header).to_upper(), 1)
+					is_found = true
+					at_least_one_header_found = true
+				endif
+			endforeach
+		endforeach
+
+		if not at_least_one_header_found
+			error('''readline header not found
 If you have @0@ already installed, see meson-logs/meson-log.txt for details on the
 failure. It is possible the compiler isn't looking in the proper directory.
 Use -Dreadline=disabled to disable readline support.'''.format(readline_dep))
-    endif
-
-    check_funcs = [
-      'append_history',
-      'history_truncate_file',
-      'rl_completion_matches',
-      'rl_filename_completion_function',
-      'rl_reset_screen_size',
-      'rl_variable_bind',
-    ]
-
-    foreach func : check_funcs
-      found = cc.has_function(func, dependencies: [readline],
-        args: test_c_args, include_directories: postgres_inc)
-      cdata.set('HAVE_' + func.to_upper(), found ? 1 : false)
-    endforeach
-
-    check_vars = [
-      'rl_completion_suppress_quote',
-      'rl_filename_quote_characters',
-      'rl_filename_quoting_function',
-    ]
-
-    foreach var : check_vars
-      cdata.set('HAVE_' + var.to_upper(),
-        cc.has_header_symbol(readline_h, var,
-          args: test_c_args, include_directories: postgres_inc,
-          prefix: '#include <stdio.h>',
-          dependencies: [readline]) ? 1 : false)
-    endforeach
-
-    # If found via cc.find_library() ensure headers are found when using the
-    # dependency. On meson < 0.57 one cannot do compiler checks using the
-    # dependency returned by declare_dependency(), so we can't do this above.
-    if readline.type_name() == 'library'
-      readline = declare_dependency(dependencies: readline,
-        include_directories: postgres_inc)
-    endif
-
-    # On windows with mingw readline requires auto-import to successfully
-    # link, as the headers don't use declspec(dllimport)
-    if host_system == 'windows' and cc.get_id() != 'msvc'
-      readline = declare_dependency(dependencies: readline,
-        link_args: '-Wl,--enable-auto-import')
-    endif
-  endif
-
-  # XXX: Figure out whether to implement mingw warning equivalent
+		endif
+
+		check_funcs = [
+			'append_history',
+			'history_truncate_file',
+			'rl_completion_matches',
+			'rl_filename_completion_function',
+			'rl_reset_screen_size',
+			'rl_variable_bind',
+		]
+
+		foreach func : check_funcs
+			found = cc.has_function(func, dependencies: [readline],
+				args: test_c_args, include_directories: postgres_inc)
+			cdata.set('HAVE_' + func.to_upper(), found ? 1 : false)
+		endforeach
+
+		check_vars = [
+			'rl_completion_suppress_quote',
+			'rl_filename_quote_characters',
+			'rl_filename_quoting_function',
+		]
+
+		foreach var : check_vars
+			cdata.set('HAVE_' + var.to_upper(),
+				cc.has_header_symbol(readline_h, var,
+					args: test_c_args, include_directories: postgres_inc,
+					prefix: '#include <stdio.h>',
+					dependencies: [readline]) ? 1 : false)
+		endforeach
+
+		# If found via cc.find_library() ensure headers are found when using the
+		# dependency. On meson < 0.57 one cannot do compiler checks using the
+		# dependency returned by declare_dependency(), so we can't do this above.
+		if readline.type_name() == 'library'
+			readline = declare_dependency(dependencies: readline,
+				include_directories: postgres_inc)
+		endif
+
+		# On windows with mingw readline requires auto-import to successfully
+		# link, as the headers don't use declspec(dllimport)
+		if host_system == 'windows' and cc.get_id() != 'msvc'
+			readline = declare_dependency(dependencies: readline,
+				link_args: '-Wl,--enable-auto-import')
+		endif
+	endif
+
+	# XXX: Figure out whether to implement mingw warning equivalent
 else
-  readline = not_found_dep
+	readline = not_found_dep
 endif
 
 
@@ -1478,11 +1478,11 @@ endif
 selinux = not_found_dep
 selinuxopt = get_option('selinux')
 if meson.version().version_compare('>=0.59')
-  selinuxopt = selinuxopt.disable_auto_if(host_system != 'linux')
+	selinuxopt = selinuxopt.disable_auto_if(host_system != 'linux')
 endif
 selinux = dependency('libselinux', required: selinuxopt, version: '>= 2.1.10')
 cdata.set('HAVE_LIBSELINUX',
-  selinux.found() ? 1 : false)
+	selinux.found() ? 1 : false)
 
 
 
@@ -1493,7 +1493,7 @@ cdata.set('HAVE_LIBSELINUX',
 systemd = not_found_dep
 systemdopt = get_option('systemd')
 if meson.version().version_compare('>=0.59')
-  systemdopt = systemdopt.disable_auto_if(host_system != 'linux')
+	systemdopt = systemdopt.disable_auto_if(host_system != 'linux')
 endif
 systemd = dependency('libsystemd', required: systemdopt)
 cdata.set('USE_SYSTEMD', systemd.found() ? 1 : false)
@@ -1509,90 +1509,90 @@ ssl_library = 'none'
 sslopt = get_option('ssl')
 
 if sslopt == 'auto' and auto_features.disabled()
-  sslopt = 'none'
+	sslopt = 'none'
 endif
 
 if sslopt in ['auto', 'openssl']
-  openssl_required = (sslopt == 'openssl')
-
-  # Try to find openssl via pkg-config et al, if that doesn't work
-  # (e.g. because it's provided as part of the OS, like on FreeBSD), look for
-  # the library names that we know about.
-
-  # via pkg-config et al
-  ssl = dependency('openssl', required: false)
-  # only meson >= 0.57 supports declare_dependency() in cc.has_function(), so
-  # we pass cc.find_library() results if necessary
-  ssl_int = []
-
-  # via library + headers
-  if not ssl.found()
-    ssl_lib = cc.find_library('ssl',
-      dirs: test_lib_d,
-      header_include_directories: postgres_inc,
-      has_headers: ['openssl/ssl.h', 'openssl/err.h'],
-      required: openssl_required)
-    crypto_lib = cc.find_library('crypto',
-      dirs: test_lib_d,
-      required: openssl_required)
-    if ssl_lib.found() and crypto_lib.found()
-      ssl_int = [ssl_lib, crypto_lib]
-      ssl = declare_dependency(dependencies: ssl_int, include_directories: postgres_inc)
-    endif
-  elif cc.has_header('openssl/ssl.h', args: test_c_args, dependencies: ssl, required: openssl_required) and \
-       cc.has_header('openssl/err.h', args: test_c_args, dependencies: ssl, required: openssl_required)
-    ssl_int = [ssl]
-  else
-    ssl = not_found_dep
-  endif
-
-  if ssl.found()
-    check_funcs = [
-      ['CRYPTO_new_ex_data', {'required': true}],
-      ['SSL_new', {'required': true}],
-
-      # Functions introduced in OpenSSL 1.1.1.
-      ['SSL_CTX_set_ciphersuites', {'required': true}],
-
-      # Function introduced in OpenSSL 1.0.2, not in LibreSSL.
-      ['SSL_CTX_set_cert_cb'],
-
-      # Function introduced in OpenSSL 1.1.1, not in LibreSSL.
-      ['X509_get_signature_info'],
-      ['SSL_CTX_set_num_tickets'],
-      ['SSL_CTX_set_keylog_callback'],
-    ]
-
-    are_openssl_funcs_complete = true
-    foreach c : check_funcs
-      func = c.get(0)
-      val = cc.has_function(func, args: test_c_args, dependencies: ssl_int)
-      required = c.get(1, {}).get('required', false)
-      if required and not val
-        are_openssl_funcs_complete = false
-        if openssl_required
-          error('openssl function @0@ is required'.format(func))
-        endif
-        break
-      elif not required
-        cdata.set('HAVE_' + func.to_upper(), val ? 1 : false)
-      endif
-    endforeach
-
-    if are_openssl_funcs_complete
-      cdata.set('USE_OPENSSL', 1,
-                description: 'Define to 1 to build with OpenSSL support. (-Dssl=openssl)')
-      cdata.set('OPENSSL_API_COMPAT', '0x10101000L',
-                description: 'Define to the OpenSSL API version in use. This avoids deprecation warnings from newer OpenSSL versions.')
-      ssl_library = 'openssl'
-    else
-      ssl = not_found_dep
-    endif
-  endif
+	openssl_required = (sslopt == 'openssl')
+
+	# Try to find openssl via pkg-config et al, if that doesn't work
+	# (e.g. because it's provided as part of the OS, like on FreeBSD), look for
+	# the library names that we know about.
+
+	# via pkg-config et al
+	ssl = dependency('openssl', required: false)
+	# only meson >= 0.57 supports declare_dependency() in cc.has_function(), so
+	# we pass cc.find_library() results if necessary
+	ssl_int = []
+
+	# via library + headers
+	if not ssl.found()
+		ssl_lib = cc.find_library('ssl',
+			dirs: test_lib_d,
+			header_include_directories: postgres_inc,
+			has_headers: ['openssl/ssl.h', 'openssl/err.h'],
+			required: openssl_required)
+		crypto_lib = cc.find_library('crypto',
+			dirs: test_lib_d,
+			required: openssl_required)
+		if ssl_lib.found() and crypto_lib.found()
+			ssl_int = [ssl_lib, crypto_lib]
+			ssl = declare_dependency(dependencies: ssl_int, include_directories: postgres_inc)
+		endif
+	elif cc.has_header('openssl/ssl.h', args: test_c_args, dependencies: ssl, required: openssl_required) and \
+			 cc.has_header('openssl/err.h', args: test_c_args, dependencies: ssl, required: openssl_required)
+		ssl_int = [ssl]
+	else
+		ssl = not_found_dep
+	endif
+
+	if ssl.found()
+		check_funcs = [
+			['CRYPTO_new_ex_data', {'required': true}],
+			['SSL_new', {'required': true}],
+
+			# Functions introduced in OpenSSL 1.1.1.
+			['SSL_CTX_set_ciphersuites', {'required': true}],
+
+			# Function introduced in OpenSSL 1.0.2, not in LibreSSL.
+			['SSL_CTX_set_cert_cb'],
+
+			# Function introduced in OpenSSL 1.1.1, not in LibreSSL.
+			['X509_get_signature_info'],
+			['SSL_CTX_set_num_tickets'],
+			['SSL_CTX_set_keylog_callback'],
+		]
+
+		are_openssl_funcs_complete = true
+		foreach c : check_funcs
+			func = c.get(0)
+			val = cc.has_function(func, args: test_c_args, dependencies: ssl_int)
+			required = c.get(1, {}).get('required', false)
+			if required and not val
+				are_openssl_funcs_complete = false
+				if openssl_required
+					error('openssl function @0@ is required'.format(func))
+				endif
+				break
+			elif not required
+				cdata.set('HAVE_' + func.to_upper(), val ? 1 : false)
+			endif
+		endforeach
+
+		if are_openssl_funcs_complete
+			cdata.set('USE_OPENSSL', 1,
+								description: 'Define to 1 to build with OpenSSL support. (-Dssl=openssl)')
+			cdata.set('OPENSSL_API_COMPAT', '0x10101000L',
+								description: 'Define to the OpenSSL API version in use. This avoids deprecation warnings from newer OpenSSL versions.')
+			ssl_library = 'openssl'
+		else
+			ssl = not_found_dep
+		endif
+	endif
 endif
 
 if sslopt == 'auto' and auto_features.enabled() and not ssl.found()
-  error('no SSL library found')
+	error('no SSL library found')
 endif
 
 
@@ -1603,56 +1603,56 @@ endif
 
 uuidopt = get_option('uuid')
 if uuidopt != 'none'
-  uuidname = uuidopt.to_upper()
-  if uuidopt == 'e2fs'
-    uuid = dependency('uuid', required: true)
-    uuidfunc = 'uuid_generate'
-    uuidheader = 'uuid/uuid.h'
-  elif uuidopt == 'bsd'
-    # libc should have uuid function
-    uuid = declare_dependency()
-    uuidfunc = 'uuid_to_string'
-    uuidheader = 'uuid.h'
-  elif uuidopt == 'ossp'
-    # In upstream, the package and library is called just 'uuid', but many
-    # distros change it to 'ossp-uuid'.
-    uuid = dependency('ossp-uuid', required: false)
-    if not uuid.found()
-      uuid = dependency('uuid', required: false)
-    endif
-    uuidfunc = 'uuid_export'
-    uuidheader = 'uuid.h'
-
-    # Hardcoded lookup for ossp-uuid. This is necessary as ossp-uuid on
-    # windows installs neither a pkg-config nor a cmake dependency
-    # information. Nor is there another supported uuid implementation
-    # available on windows.
-    if not uuid.found()
-      uuid = cc.find_library('ossp-uuid',
-        required: false, dirs: test_lib_d,
-        has_headers: uuidheader, header_include_directories: postgres_inc)
-    endif
-    if not uuid.found()
-      uuid = cc.find_library('uuid',
-        required: true, dirs: test_lib_d,
-        has_headers: uuidheader, header_include_directories: postgres_inc)
-    endif
-  else
-    error('unknown uuid build option value: @0@'.format(uuidopt))
-  endif
-
-  if not cc.has_header_symbol(uuidheader, uuidfunc,
-                              args: test_c_args,
-                              include_directories: postgres_inc,
-                              dependencies: uuid)
-    error('uuid library @0@ missing required function @1@'.format(uuidopt, uuidfunc))
-  endif
-  cdata.set('HAVE_@0@'.format(uuidheader.underscorify().to_upper()), 1)
-
-  cdata.set('HAVE_UUID_@0@'.format(uuidname), 1,
-           description: 'Define to 1 if you have @0@ UUID support.'.format(uuidname))
+	uuidname = uuidopt.to_upper()
+	if uuidopt == 'e2fs'
+		uuid = dependency('uuid', required: true)
+		uuidfunc = 'uuid_generate'
+		uuidheader = 'uuid/uuid.h'
+	elif uuidopt == 'bsd'
+		# libc should have uuid function
+		uuid = declare_dependency()
+		uuidfunc = 'uuid_to_string'
+		uuidheader = 'uuid.h'
+	elif uuidopt == 'ossp'
+		# In upstream, the package and library is called just 'uuid', but many
+		# distros change it to 'ossp-uuid'.
+		uuid = dependency('ossp-uuid', required: false)
+		if not uuid.found()
+			uuid = dependency('uuid', required: false)
+		endif
+		uuidfunc = 'uuid_export'
+		uuidheader = 'uuid.h'
+
+		# Hardcoded lookup for ossp-uuid. This is necessary as ossp-uuid on
+		# windows installs neither a pkg-config nor a cmake dependency
+		# information. Nor is there another supported uuid implementation
+		# available on windows.
+		if not uuid.found()
+			uuid = cc.find_library('ossp-uuid',
+				required: false, dirs: test_lib_d,
+				has_headers: uuidheader, header_include_directories: postgres_inc)
+		endif
+		if not uuid.found()
+			uuid = cc.find_library('uuid',
+				required: true, dirs: test_lib_d,
+				has_headers: uuidheader, header_include_directories: postgres_inc)
+		endif
+	else
+		error('unknown uuid build option value: @0@'.format(uuidopt))
+	endif
+
+	if not cc.has_header_symbol(uuidheader, uuidfunc,
+															args: test_c_args,
+															include_directories: postgres_inc,
+															dependencies: uuid)
+		error('uuid library @0@ missing required function @1@'.format(uuidopt, uuidfunc))
+	endif
+	cdata.set('HAVE_@0@'.format(uuidheader.underscorify().to_upper()), 1)
+
+	cdata.set('HAVE_UUID_@0@'.format(uuidname), 1,
+					 description: 'Define to 1 if you have @0@ UUID support.'.format(uuidname))
 else
-  uuid = not_found_dep
+	uuid = not_found_dep
 endif
 
 
@@ -1664,25 +1664,25 @@ endif
 zlibopt = get_option('zlib')
 zlib = not_found_dep
 if not zlibopt.disabled()
-  zlib_t = dependency('zlib', required: zlibopt)
+	zlib_t = dependency('zlib', required: zlibopt)
 
-  if zlib_t.type_name() == 'internal'
-    # if fallback was used, we don't need to test if headers are present (they
-    # aren't built yet, so we can't test)
-    zlib = zlib_t
-  elif not zlib_t.found()
-    warning('did not find zlib')
-  elif not cc.has_header('zlib.h',
-      args: test_c_args, include_directories: postgres_inc,
-      dependencies: [zlib_t], required: zlibopt)
-    warning('zlib header not found')
-  else
-    zlib = zlib_t
-  endif
+	if zlib_t.type_name() == 'internal'
+		# if fallback was used, we don't need to test if headers are present (they
+		# aren't built yet, so we can't test)
+		zlib = zlib_t
+	elif not zlib_t.found()
+		warning('did not find zlib')
+	elif not cc.has_header('zlib.h',
+			args: test_c_args, include_directories: postgres_inc,
+			dependencies: [zlib_t], required: zlibopt)
+		warning('zlib header not found')
+	else
+		zlib = zlib_t
+	endif
 
-  if zlib.found()
-    cdata.set('HAVE_LIBZ', 1)
-  endif
+	if zlib.found()
+		cdata.set('HAVE_LIBZ', 1)
+	endif
 endif
 
 
@@ -1695,18 +1695,18 @@ endif
 tap_tests_enabled = false
 tapopt = get_option('tap_tests')
 if not tapopt.disabled()
-  # Checking for perl modules for tap tests
-  perl_ipc_run_check = run_command(perl, 'config/check_modules.pl', check: false)
-  if perl_ipc_run_check.returncode() != 0
-    message(perl_ipc_run_check.stderr().strip())
-    if tapopt.enabled()
-      error('Additional Perl modules are required to run TAP tests.')
-    else
-      warning('Additional Perl modules are required to run TAP tests.')
-    endif
-  else
-    tap_tests_enabled = true
-  endif
+	# Checking for perl modules for tap tests
+	perl_ipc_run_check = run_command(perl, 'config/check_modules.pl', check: false)
+	if perl_ipc_run_check.returncode() != 0
+		message(perl_ipc_run_check.stderr().strip())
+		if tapopt.enabled()
+			error('Additional Perl modules are required to run TAP tests.')
+		else
+			warning('Additional Perl modules are required to run TAP tests.')
+		endif
+	else
+		tap_tests_enabled = true
+	endif
 endif
 
 
@@ -1717,20 +1717,20 @@ endif
 
 zstdopt = get_option('zstd')
 if not zstdopt.disabled()
-  zstd = dependency('libzstd', required: false, version: '>=1.4.0')
-  # Unfortunately the dependency is named differently with cmake
-  if not zstd.found() # combine with above once meson 0.60.0 is required
-    zstd = dependency('zstd', required: zstdopt, version: '>=1.4.0',
-                      method: 'cmake', modules: ['zstd::libzstd_shared'])
-  endif
-
-  if zstd.found()
-    cdata.set('USE_ZSTD', 1)
-    cdata.set('HAVE_LIBZSTD', 1)
-  endif
+	zstd = dependency('libzstd', required: false, version: '>=1.4.0')
+	# Unfortunately the dependency is named differently with cmake
+	if not zstd.found() # combine with above once meson 0.60.0 is required
+		zstd = dependency('zstd', required: zstdopt, version: '>=1.4.0',
+											method: 'cmake', modules: ['zstd::libzstd_shared'])
+	endif
+
+	if zstd.found()
+		cdata.set('USE_ZSTD', 1)
+		cdata.set('HAVE_LIBZSTD', 1)
+	endif
 
 else
-  zstd = not_found_dep
+	zstd = not_found_dep
 endif
 
 
@@ -1740,15 +1740,15 @@ endif
 ###############################################################
 
 if host_machine.endian() == 'big'
-  cdata.set('WORDS_BIGENDIAN', 1)
+	cdata.set('WORDS_BIGENDIAN', 1)
 endif
 
 # Determine memory alignment requirements for the basic C data types.
 
 alignof_types = ['short', 'int', 'long', 'double']
 foreach t : alignof_types
-  align = cc.alignment(t, args: test_c_args)
-  cdata.set('ALIGNOF_@0@'.format(t.to_upper()), align)
+	align = cc.alignment(t, args: test_c_args)
+	cdata.set('ALIGNOF_@0@'.format(t.to_upper()), align)
 endforeach
 
 # Compute maximum alignment of any basic type.
@@ -1768,7 +1768,7 @@ endforeach
 # would be too much of a penalty for disk and memory space.
 alignof_double = cdata.get('ALIGNOF_DOUBLE')
 if cc.alignment('int64_t', args: test_c_args, prefix: '#include <stdint.h>') > alignof_double
-  error('alignment of int64_t is greater than the alignment of double')
+	error('alignment of int64_t is greater than the alignment of double')
 endif
 cdata.set('MAXIMUM_ALIGNOF', alignof_double)
 
@@ -1777,7 +1777,7 @@ cdata.set('SIZEOF_LONG_LONG', cc.sizeof('long long', args: test_c_args))
 cdata.set('SIZEOF_VOID_P', cc.sizeof('void *', args: test_c_args))
 cdata.set('SIZEOF_SIZE_T', cc.sizeof('size_t', args: test_c_args))
 cdata.set('SIZEOF_INTMAX_T', cc.sizeof('intmax_t', args: test_c_args,
-                                       prefix: '#include <stdint.h>'))
+																			 prefix: '#include <stdint.h>'))
 
 
 # Check if __int128 is a working 128 bit integer type, and if so
@@ -1789,75 +1789,75 @@ cdata.set('SIZEOF_INTMAX_T', cc.sizeof('intmax_t', args: test_c_args,
 # For the moment we only test for support for 128bit math; support for
 # 128bit literals and snprintf is not required.
 if cc.links('''
-  /*
-   * We don't actually run this test, just link it to verify that any support
-   * functions needed for __int128 are present.
-   *
-   * These are globals to discourage the compiler from folding all the
-   * arithmetic tests down to compile-time constants.  We do not have
-   * convenient support for 128bit literals at this point...
-   */
-  __int128 a = 48828125;
-  __int128 b = 97656250;
-
-  int main(void)
-  {
-      __int128 c,d;
-      a = (a << 12) + 1; /* 200000000001 */
-      b = (b << 12) + 5; /* 400000000005 */
-      /* try the most relevant arithmetic ops */
-      c = a * b;
-      d = (c + b) / b;
-      /* must use the results, else compiler may optimize arithmetic away */
-      return d != a+1;
-  }''',
-  name: '__int128',
-  args: test_c_args)
-
-  buggy_int128 = false
-
-  # Use of non-default alignment with __int128 tickles bugs in some compilers.
-  # If not cross-compiling, we can test for bugs and disable use of __int128
-  # with buggy compilers.  If cross-compiling, hope for the best.
-  # https://gcc.gnu.org/bugzilla/show_bug.cgi?id=83925
-  if not meson.is_cross_build()
-    r = cc.run('''
-    /* This must match the corresponding code in c.h: */
-    #if defined(__GNUC__)
-    #define pg_attribute_aligned(a) __attribute__((aligned(a)))
-    #elif defined(_MSC_VER)
-    #define pg_attribute_aligned(a) __declspec(align(a))
-    #endif
-    typedef __int128 int128a
-    #if defined(pg_attribute_aligned)
-    pg_attribute_aligned(8)
-    #endif
-    ;
-
-    int128a holder;
-    void pass_by_val(void *buffer, int128a par) { holder = par; }
-
-    int main(void)
-    {
-        long int i64 = 97656225L << 12;
-        int128a q;
-        pass_by_val(main, (int128a) i64);
-        q = (int128a) i64;
-        return q != holder;
-    }''',
-    name: '__int128 alignment bug',
-    args: test_c_args)
-    assert(r.compiled())
-    if r.returncode() != 0
-      buggy_int128 = true
-      message('__int128 support present but buggy and thus disabled')
-    endif
-  endif
-
-  if not buggy_int128
-    cdata.set('PG_INT128_TYPE', '__int128')
-    cdata.set('ALIGNOF_PG_INT128_TYPE', cc.alignment('__int128', args: test_c_args))
-  endif
+	/*
+	 * We don't actually run this test, just link it to verify that any support
+	 * functions needed for __int128 are present.
+	 *
+	 * These are globals to discourage the compiler from folding all the
+	 * arithmetic tests down to compile-time constants.  We do not have
+	 * convenient support for 128bit literals at this point...
+	 */
+	__int128 a = 48828125;
+	__int128 b = 97656250;
+
+	int main(void)
+	{
+			__int128 c,d;
+			a = (a << 12) + 1; /* 200000000001 */
+			b = (b << 12) + 5; /* 400000000005 */
+			/* try the most relevant arithmetic ops */
+			c = a * b;
+			d = (c + b) / b;
+			/* must use the results, else compiler may optimize arithmetic away */
+			return d != a+1;
+	}''',
+	name: '__int128',
+	args: test_c_args)
+
+	buggy_int128 = false
+
+	# Use of non-default alignment with __int128 tickles bugs in some compilers.
+	# If not cross-compiling, we can test for bugs and disable use of __int128
+	# with buggy compilers.  If cross-compiling, hope for the best.
+	# https://gcc.gnu.org/bugzilla/show_bug.cgi?id=83925
+	if not meson.is_cross_build()
+		r = cc.run('''
+		/* This must match the corresponding code in c.h: */
+		#if defined(__GNUC__)
+		#define pg_attribute_aligned(a) __attribute__((aligned(a)))
+		#elif defined(_MSC_VER)
+		#define pg_attribute_aligned(a) __declspec(align(a))
+		#endif
+		typedef __int128 int128a
+		#if defined(pg_attribute_aligned)
+		pg_attribute_aligned(8)
+		#endif
+		;
+
+		int128a holder;
+		void pass_by_val(void *buffer, int128a par) { holder = par; }
+
+		int main(void)
+		{
+				long int i64 = 97656225L << 12;
+				int128a q;
+				pass_by_val(main, (int128a) i64);
+				q = (int128a) i64;
+				return q != holder;
+		}''',
+		name: '__int128 alignment bug',
+		args: test_c_args)
+		assert(r.compiled())
+		if r.returncode() != 0
+			buggy_int128 = true
+			message('__int128 support present but buggy and thus disabled')
+		endif
+	endif
+
+	if not buggy_int128
+		cdata.set('PG_INT128_TYPE', '__int128')
+		cdata.set('ALIGNOF_PG_INT128_TYPE', cc.alignment('__int128', args: test_c_args))
+	endif
 endif
 
 
@@ -1867,29 +1867,29 @@ endif
 # Checking whether computed gotos are supported syntax-wise ought to
 # be enough, as the syntax is otherwise illegal.
 if cc.compiles('''
-    static inline int foo(void)
-    {
-      void *labeladdrs[] = {&&my_label};
-      goto *labeladdrs[0];
-      my_label:
-      return 1;
-    }''',
-    name: 'computed goto',
-    args: test_c_args)
-  cdata.set('HAVE_COMPUTED_GOTO', 1)
+		static inline int foo(void)
+		{
+			void *labeladdrs[] = {&&my_label};
+			goto *labeladdrs[0];
+			my_label:
+			return 1;
+		}''',
+		name: 'computed goto',
+		args: test_c_args)
+	cdata.set('HAVE_COMPUTED_GOTO', 1)
 endif
 
 
 # Check if the C compiler supports GCC-style statement expressions.
 if cc.compiles('''
-    int main(int arg, char **argv)
-    {
-        ({ _Static_assert(1, "foo"); });
-    }
-    ''',
-    name: 'statement expressions',
-    args: test_c_args)
-  cdata.set('HAVE_STATEMENT_EXPRESSIONS', 1)
+		int main(int arg, char **argv)
+		{
+				({ _Static_assert(1, "foo"); });
+		}
+		''',
+		name: 'statement expressions',
+		args: test_c_args)
+	cdata.set('HAVE_STATEMENT_EXPRESSIONS', 1)
 endif
 
 
